<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Name: Entry Executed Surgical Procedures
Description: Template CDA entry Procedures
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000">
   <title>Entry Executed Surgical Procedures</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]
Item: (EntryProcedures)
-->

<!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]"
         id="tmp-a5f3f979-5417-4220-9d39-2830fe2990ae">
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="string(@classCode)='PROC'">(EntryProcedures): The value for @classCode SHALL be 'PROC'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="string(@moodCode)='EVN' or string(@moodCode)='INT'">(EntryProcedures): The value for @moodCode SHALL be selected from the following codes: EVN', 'INT.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19'])&gt;=1 ">(EntryProcedures): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19'])&lt;=1">(EntryProcedures): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:code)&lt;=1">(EntryProcedures): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:text)&lt;=1">(EntryProcedures): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:statusCode)&lt;=1">(EntryProcedures): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EntryProcedures): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(EntryProcedures): element hl7:priorityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="count(hl7:approachSiteCode)&lt;=1">(EntryProcedures): element hl7:approachSiteCode appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:templateId
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:templateId"
         id="tmp-90dced20-1d42-427a-8558-b3e71dc3743c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.4.19'">(EntryProcedures): @root SHALL have value '1.3.6.1.4.1.19376.1.5.3.1.4.19'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:id
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:id"
         id="tmp-47ebda31-c713-49ef-af96-e98ffb930bc0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:code
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:code"
         id="tmp-16fdf254-19f0-409e-92cb-96aeafc91afc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.10-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.10-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(EntryProcedures): The value for @code SHALL be selected from value set epSOSProcedures epSOS Procedures (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(EntryProcedures): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set epSOSProcedures epSOS Procedures (DYNAMIC).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="string-length(@displayName)&gt;0 or not(@displayName)">R9.1: attribute @displayName SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:text
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:text"
         id="tmp-7e430c85-4c02-49dd-882f-a20ade3b2975">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:statusCode
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:statusCode"
         id="tmp-f9e68e2b-4c56-4e75-b80b-c30b902089f1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(EntryProcedures): The value for @code SHALL be selected from value set ActStatus (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(EntryProcedures): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:effectiveTime
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:effectiveTime"
         id="tmp-436e5d5b-eb5d-4537-b1ea-bc52d2f3c852">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "IVL_TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:priorityCode
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:priorityCode"
         id="tmp-712c6f27-137c-4725-81ee-9cb0bb1ba1b1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(EntryProcedures): The value for @code SHALL be selected from value set ActPriority (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(EntryProcedures): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActPriority (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:approachSiteCode
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:approachSiteCode"
         id="tmp-f3d3ea05-c9ea-48f8-8f4f-1e3be74bb169">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc--DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc--DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(EntryProcedures): The value for @code SHALL be selected from value set ActSite (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(EntryProcedures): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActSite (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.19
Context: *[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:targetSiteCode
Item: (EntryProcedures)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.19']]/hl7:targetSiteCode"
         id="tmp-e02902f5-04c4-4e12-af1f-ecfcae8e5820">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.19-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntryProcedures): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
