<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.12.151
Name: CDA Organization
Description: Template CDA Organization 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.12.151-2013-06-04T000000">
   <title>CDA Organization</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']"
         id="tmp-72749704-44ae-4c11-bf44-9d2336d82095">
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="string(@classCode)='ORG'">(CDAOrganization): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAOrganization): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.151'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.12.151']/@nullFlavor)">(CDAOrganization): element hl7:templateId[@root='2.16.840.1.113883.10.12.151'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.151'])&lt;=1">(CDAOrganization): element hl7:templateId[@root='2.16.840.1.113883.10.12.151'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): element hl7:standardIndustryClassCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): element hl7:asOrganizationPartOf appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:templateId[@root='2.16.840.1.113883.10.12.151']
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:templateId[@root='2.16.840.1.113883.10.12.151']"
         id="tmp-2c637616-f7c4-4a3d-a736-68d8c9c0db43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="string(@root)='2.16.840.1.113883.10.12.151'">(CDAOrganization): @root SHALL have value '2.16.840.1.113883.10.12.151'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:id
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:id"
         id="tmp-70c841fc-8be1-4835-90bb-e9de4f66a364">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:name
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:name"
         id="tmp-f946366e-7087-4ca5-983a-8b1c822fc642">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "ON", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:telecom
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:telecom"
         id="tmp-394fb389-1d88-4d2a-8184-3ab98ef56ec5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "TEL", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:addr
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:addr"
         id="tmp-924b93e6-c1f8-427d-a868-adcad51d681e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "AD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:standardIndustryClassCode"
         id="tmp-6c7691a5-e05c-4dc2-b951-4db0820ae038">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc--DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc--DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAOrganization): The value for @code SHALL be selected from value set OrganizationIndustryClass (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAOrganization): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set OrganizationIndustryClass (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf"
         id="tmp-1c58ecdb-a472-447a-8201-819de53cb43d">
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="string(@classCode)='PART'">(CDAOrganization): The value for @classCode SHALL be 'PART'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="count(hl7:wholeOrganization[hl7:templateId[@root='2.16.840.1.113883.10.12.151']])&lt;=1">(CDAOrganization): element hl7:wholeOrganization[hl7:templateId[@root='2.16.840.1.113883.10.12.151']] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:id"
         id="tmp-37ccccd0-3c00-41af-9aa2-ee722c6cb941">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:code"
         id="tmp-b38590db-de7e-41df-9f76-b3a46287248d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc--DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc--DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAOrganization): The value for @code SHALL be selected from value set RoleCode (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAOrganization): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set RoleCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:statusCode"
         id="tmp-c6fc3140-6e73-4246-ac0c-cf336c85cc8e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAOrganization): The value for @code SHALL be selected from value set RoleStatus (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAOrganization): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:effectiveTime"
         id="tmp-e5bb192a-733d-4981-be72-ebf3208d785a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/epsos/epsos-html-develop/tmp-2.16.840.1.113883.10.12.151-2013-06-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "IVL_TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:templateId/@root='2.16.840.1.113883.10.12.151']/hl7:asOrganizationPartOf/hl7:wholeOrganization[hl7:templateId[@root='2.16.840.1.113883.10.12.151']]
Item: (CDAOrganization)
--></pattern>
